<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Theme Palace
 */

/**
 * daily_insight_pro_content_end_action hook
 *
 * @hooked daily_insight_pro_content_end -  10
 *
 */
do_action( 'daily_insight_pro_content_end_action' );
	
	$options			 = daily_insight_pro_get_theme_options();
	$footer_sidebar_data = daily_insight_pro_footer_sidebar_class();
	$active_id           = $footer_sidebar_data['active_id'];
	$class               = $footer_sidebar_data['class'];

?>
	<footer id="colophon" class="site-footer <?php echo esc_attr( $class );?>-columns" role="contentinfo">
		<div class="container">
			<?php  
		    for ( $i=0; $i < count( $active_id ); $i++ ) {
		       	if ( is_active_sidebar( 'footer-'.absint( $active_id[ $i ] ).'' ) ) : ?>
					<div class="column-wrapper">
		            	<?php dynamic_sidebar( 'footer-'.absint( $active_id[ $i ] ).'' ); ?>
		        	</div><!-- .column-wrapper -->
		        <?php endif;
		    } ?>
	        <div class="clear"></div>
	        <div class="bottom-footer">
				<div class="site-info">
					<?php if(! empty( $options['copyright_text'] ) ) { 
			       		echo wp_kses_post( $options['copyright_text'] ); 
			       		if ( function_exists( 'the_privacy_policy_link' ) ) {
						    the_privacy_policy_link( ' | ' );
						}
			       		?>
			        <?php } ?>
				</div><!-- .site-info -->
				<?php if( ( $options['back_to_top'] == true ) ) : ?> 
				<div class="backtotop"><?php esc_html_e( 'Back to top','daily-insight-pro' );?><i class="fa fa-cloud-upload"></i></div><!--.backtotop-->
				<?php endif; ?>
			</div><!-- .bottom-footer -->
		</div><!-- .container -->
	</footer><!-- #colophon -->
	
<?php
/**
	 * daily_insight_pro_page_end_action hook
	 *
	 * @hooked daily_insight_pro_page_end -  10
	 *
	 */
	do_action( 'daily_insight_pro_page_end_action' ); 
?>

<?php wp_footer(); ?>

</body>
</html>
