<?php
/**
 * Category Block One Customizer options
 *
 * @package Theme Palace
 * @subpackage Daily Insight Pro
 * @since Daily Insight Pro 1.0
 */


// Add Category Block One enable section
$wp_customize->add_section( 'daily_insight_pro_category_block_one_section', array(
	'title'             => esc_html__( 'Category Block One','daily-insight-pro' ),
	'description'       => esc_html__( 'Category Block One section options.', 'daily-insight-pro' ),
	'priority'			=> '10',
	'panel'             => 'daily_insight_pro_sections_panel'
) );

// Add Category Block One enable setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[enable_category_block_one]', array(
	'default'           => $options['enable_category_block_one'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[enable_category_block_one]', array(
	'label'             => esc_html__( 'Check To Enable', 'daily-insight-pro' ),
	'section'           => 'daily_insight_pro_category_block_one_section',
	'type'              => 'checkbox',
) );

// Add Category Block One content type setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[category_block_one_type]', array(
	'default'           => $options['category_block_one_type'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_select'
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[category_block_one_type]', array(
	'label'           	=> esc_html__( 'Content Type', 'daily-insight-pro' ),
	'section'         	=> 'daily_insight_pro_category_block_one_section',
	'type'            	=> 'select',
	'active_callback' 	=> 'daily_insight_pro_is_category_block_one_active',
	'choices'         	=> array(
		'demo'			=> esc_html__( 'Demo','daily-insight-pro'),
		'category'		=> esc_html__( 'Category', 'daily-insight-pro' ),	
	)
) );

// Add Category Block One icon setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[category_block_one_icon]', array(
	'default'           => $options['category_block_one_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[category_block_one_icon]', array(
	'label'                 =>  esc_html__( 'Category Block One Icon', 'daily-insight-pro' ),
    'section'               => 'daily_insight_pro_category_block_one_section',
    'type'                  => 'text',
    'active_callback' 	=> 'daily_insight_pro_is_category_block_one_content_as_category',
    'description'           => sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$sSee more here%3$s', 'daily-insight-pro' ), 'fa-desktop','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>' )
) );

// Add Category Block One category drop-down setting and control
$wp_customize->add_setting( 'daily_insight_pro_theme_options[category_block_one_category_type]', array(
	'default'			=> $options['category_block_one_category_type'],			
	'sanitize_callback'	=> 'absint',
) );

$wp_customize->add_control( new Daily_Insight_Pro_Dropdown_Taxonomies_Control( $wp_customize, 'daily_insight_pro_theme_options[category_block_one_category_type]', array(
	'active_callback' 	=> 'daily_insight_pro_is_category_block_one_content_as_category',
	'label'           	=> esc_html__( 'Select Category', 'daily-insight-pro' ),
	'section'         	=> 'daily_insight_pro_category_block_one_section',
	'type'            	=> 'dropdown-taxonomies',
 ) ) );