<?php
/**
* Breadcrumb options
*
* @package Theme Palace
* @subpackage Daily Insight Pro
* @since Daily Insight Pro 1.0
*/

$wp_customize->add_section( 'daily_insight_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','daily-insight-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'daily-insight-pro' ),
	'panel'             => 'daily_insight_pro_theme_options_panel'
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback'	=> 'daily_insight_pro_sanitize_checkbox',
	'default'          	=> $options['breadcrumb_enable']
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'daily-insight-pro' ),
	'section'          	=> 'daily_insight_pro_breadcrumb',
	'type'             	=> 'checkbox',
) );

// Breadcrumb seperator.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator']
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Breadcrumb Seperator', 'daily-insight-pro' ),
	'section'          	=> 'daily_insight_pro_breadcrumb',
	'type'             	=> 'text',
	'input_attrs'		=> array(
		'style' => 'width:100px'
		),
	'active_callback'	=> 'daily_insight_pro_is_breadcrumb_enable'
) );