<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Daily Insight Pro
 * @since Daily Insight Pro 1.0
 */

// Add excerpt section
$wp_customize->add_section( 'daily_insight_pro_excerpt_section', array(
	'title'             => esc_html__( 'Excerpt','daily-insight-pro' ),
	'description'       => esc_html__( 'Excerpt section options.', 'daily-insight-pro' ),
	'panel'             => 'daily_insight_pro_theme_options_panel'
) );


// Excerpt length setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[excerpt_length]', array(
	'sanitize_callback' => 'daily_insight_pro_sanitize_number_range',
	'validate_callback' => 'daily_insight_pro_validate_excerpt_length',
	'default'			=> $options['excerpt_length']
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[excerpt_length]', array(
	'label'       => esc_html__( 'Excerpt Length', 'daily-insight-pro' ),
	'description' => esc_html__( 'Total words to be displayed in archive page/search page.', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_excerpt_section',
	'type'        => 'number',
	'input_attrs' => array(
		'style'       => 'width: 80px;',
		'max'         => 100,
		'min'         => 5,
	),
) );


// Archive content type setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[archive_content_type]', array(
	'sanitize_callback' => 'daily_insight_pro_sanitize_select',
	'default'			=> $options['archive_content_type']
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[archive_content_type]', array(
	'label'       => esc_html__( 'Select Archive Content Type', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_excerpt_section',
	'type'        => 'select',
	'choices'	  => array(
		'full'			=> esc_html__( 'Full Content','daily-insight-pro'),
		'excerpt'		=> esc_html__( 'Excerpt Content', 'daily-insight-pro' ),	
	)
) );