<?php
/**
* Layout options
*
* @package Theme Palace
* @subpackage Daily Insight Pro
* @since Daily Insight Pro 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'daily_insight_pro_layout', array(
	'title'               => esc_html__( 'Layout','daily-insight-pro' ),
	'description'         => esc_html__( 'Layout section options.', 'daily-insight-pro' ),
	'panel'               => 'daily_insight_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'daily_insight_pro_sanitize_select',
	'default'             => $options['sidebar_position']
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'daily-insight-pro' ),
	'section'             => 'daily_insight_pro_layout',
	'type'                => 'select',
	'choices'			  => daily_insight_pro_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'daily_insight_pro_sanitize_select',
	'default'             => $options['site_layout']
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'daily-insight-pro' ),
	'section'             => 'daily_insight_pro_layout',
	'type'                => 'select',
	'choices'			  => daily_insight_pro_site_layout(),
) );

// sticky menu custom note
$wp_customize->add_setting( 'daily_insight_pro_theme_options[sticky_menu_custom_note]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new Daily_Insight_Pro_Note_Control( $wp_customize, 'daily_insight_pro_theme_options[sticky_menu_custom_note]', array(
	'label'           	=> esc_html__( 'Option To Make Sticky Menu', 'daily-insight-pro' ),
	'section'         	=> 'daily_insight_pro_layout',
	'type'            	=> 'description',
) ) );

// sticky enable setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[enable_sticky_menu]', array(
	'sanitize_callback'   => 'daily_insight_pro_sanitize_checkbox',
	'default'             => $options['enable_sticky_menu'],
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[enable_sticky_menu]', array(
	'label'               => esc_html__( 'Enable sticky Menu', 'daily-insight-pro' ),
	'section'             => 'daily_insight_pro_layout',
	'type'                => 'checkbox',
) );