<?php
/**
* Loader options
*
* @package Theme Palace
* @subpackage Daily Insight Pro
* @since Daily Insight Pro 1.0
*/

$wp_customize->add_section( 'daily_insight_pro_loader', array(
	'title'               => esc_html__( 'Loader','daily-insight-pro' ),
	'description'         => esc_html__( 'Loader section options.', 'daily-insight-pro' ),
	'panel'               => 'daily_insight_pro_theme_options_panel'
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[loader_enable]', array(
	'sanitize_callback'   => 'daily_insight_pro_sanitize_checkbox',
	'default'             => $options['loader_enable']
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[loader_enable]', array(
	'label'               => esc_html__( 'Enable loader', 'daily-insight-pro' ),
	'section'             => 'daily_insight_pro_loader',
	'type'                => 'checkbox',
) );

// Loader icons setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[loader_icon]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['loader_icon'],
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[loader_icon]', array(
	'label'           => esc_html__( 'Icon', 'daily-insight-pro' ),
	'description'       => sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$sSee more here%3$s', 'daily-insight-pro' ), 'fa-refresh','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>' ),
	'section'         => 'daily_insight_pro_loader',
	'active_callback' => 'daily_insight_pro_is_loader_enable',
) );