<?php 

// Add archive section
$wp_customize->add_section( 'daily_insight_pro_single_post_option', array(
	'title'             => esc_html__( 'Single Posts','daily-insight-pro' ),
	'description'       => esc_html__( 'These options works only on single posts.', 'daily-insight-pro' ),
	'panel'             => 'daily_insight_pro_theme_options_panel',
) );

// Category setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[hide_post_category]', array(
	'default'           => $options['hide_post_category'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[hide_post_category]', array(
	'label'       => esc_html__( 'Hide Category', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_single_post_option',
	'type'        => 'checkbox',
) );

// Date setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[hide_post_date]', array(
	'default'           => $options['hide_post_date'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[hide_post_date]', array(
	'label'       => esc_html__( 'Hide Date', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_single_post_option',
	'type'        => 'checkbox',
) );

// Views setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[hide_post_views]', array(
	'default'           => $options['hide_post_views'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[hide_post_views]', array(
	'label'       => esc_html__( 'Hide Views', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_single_post_option',
	'type'        => 'checkbox',
) );

// Comment count setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[hide_post_comment_count]', array(
	'default'           => $options['hide_post_comment_count'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[hide_post_comment_count]', array(
	'label'       => esc_html__( 'Hide Comment Count', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_single_post_option',
	'type'        => 'checkbox',
) );

// Related posts setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[hide_related]', array(
	'default'           => $options['hide_related'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[hide_related]', array(
	'label'       => esc_html__( 'Hide Related Posts', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_single_post_option',
	'type'        => 'checkbox',
) );

// Author box setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[hide_post_author_box]', array(
	'default'           => $options['hide_post_author_box'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[hide_post_author_box]', array(
	'label'       => esc_html__( 'Hide Author ( Globally )', 'daily-insight-pro' ),
	'description'       => esc_html__( 'If you want to hide it post-wise, uncheck this and you can handle it from each post\'s meta.', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_single_post_option',
	'type'        => 'checkbox',
) );

// Pagination setting and control.
$wp_customize->add_setting( 'daily_insight_pro_theme_options[hide_post_pagination]', array(
	'default'           => $options['hide_post_pagination'],
	'sanitize_callback' => 'daily_insight_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'daily_insight_pro_theme_options[hide_post_pagination]', array(
	'label'       => esc_html__( 'Hide Pagination', 'daily-insight-pro' ),
	'section'     => 'daily_insight_pro_single_post_option',
	'type'        => 'checkbox',
) );