<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Theme Palace
 */

get_header(); 

$options = daily_insight_pro_get_theme_options(); 

?>
<div class="page-section container">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<div class="single-posts-wrapper">
			<?php
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', 'single' );

			endwhile; // End of the loop.

			$hide_post_pagination = $options['hide_post_pagination'];

			if ( ! $hide_post_pagination ) {
				the_post_navigation( array( 
					'prev_text' => esc_html__( 'Previous article', 'daily-insight-pro'), 
					'next_text' => esc_html__( 'Next article', 'daily-insight-pro')
					)
				);
			}
			?>
		</div><!-- .sinle-posts-wrapper -->
		
		<?php
		$meta_hide_author = get_post_meta( get_the_id(), 'daily-insight-pro-hide-author-box', true );

		$hide_author_box = $options['hide_post_author_box'];
		if ( ! $hide_author_box ) {
			if ( ! $meta_hide_author ) {
				/**
				* Custom Author Box in single.php
				*/
			    if( class_exists('Wp_Author_Profile_Box_Lite_Front') || class_exists('Wp_Author_Profile_Box_Front') ):
			        $author = '';
			        $author = apply_filters( 'custom_author', $author);
			        echo $author;

			    else:
			    	/**
					 * Hook daily_insight_pro_author_profile
					 *  
					 * @hooked daily_insight_pro_get_author_profile 
					 */
					 do_action( 'daily_insight_pro_author_profile' );
			    endif;
			}
		}

		/**
		* Custom author box end!!!!
		*/

        $hide_related = $options['hide_related'];

        if ( ! $hide_related ) {

			/**
			* Hook daily_insight_pro_related_posts
			*  
			* @hooked daily_insight_pro_get_related_posts 
			*/
		
			do_action( 'daily_insight_pro_related_posts' );
        }

		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) :
			comments_template();
		endif;
		?>
		</main><!-- #main -->
	</div><!-- #primary -->


<?php
if ( daily_insight_pro_is_sidebar_enable() ) {
	get_sidebar();
}
?>
</div><!-- .page-section -->
<?php
get_footer();
